GET api/lockapi/locksbycustomer/{customerId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": "327e01be-bd5f-4a9e-a80e-c1b96a742138",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "8872ee7a-8706-49fe-b520-0eabcf7466fd",
"guard_id": "ca4894a5-929f-450e-9385-b58aecd15a50",
"active": true
},
{
"id": "327e01be-bd5f-4a9e-a80e-c1b96a742138",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "8872ee7a-8706-49fe-b520-0eabcf7466fd",
"guard_id": "ca4894a5-929f-450e-9385-b58aecd15a50",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOflock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>8872ee7a-8706-49fe-b520-0eabcf7466fd</distribution_id>
<guard_id>ca4894a5-929f-450e-9385-b58aecd15a50</guard_id>
<id>327e01be-bd5f-4a9e-a80e-c1b96a742138</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>8872ee7a-8706-49fe-b520-0eabcf7466fd</distribution_id>
<guard_id>ca4894a5-929f-450e-9385-b58aecd15a50</guard_id>
<id>327e01be-bd5f-4a9e-a80e-c1b96a742138</id>
<name>sample string 2</name>
</lock>
</ArrayOflock>